ParcelResourceApi (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger

## Class ParcelResourceApi

- java.lang.Object
- - com.cloudera.api.swagger.ParcelResourceApi

-     public class ParcelResourceApi
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParcelResourceApi()`
    `ParcelResourceApi(ApiClient apiClient)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiCommand` | `activateCommand(String clusterName, String product, String version)` A synchronous command that activates the parcel on the cluster.
    `okhttp3.Call` | `activateCommandAsync(String clusterName, String product, String version, ApiCallback<ApiCommand> callback)` A synchronous command that activates the parcel on the cluster.
    `okhttp3.Call` | `activateCommandCall(String clusterName, String product, String version, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for activateCommand
    `ApiResponse<ApiCommand>` | `activateCommandWithHttpInfo(String clusterName, String product, String version)` A synchronous command that activates the parcel on the cluster.
    `ApiCommand` | `cancelDistributionCommand(String clusterName, String product, String version)` A synchronous command that cancels the parcel distribution.
    `okhttp3.Call` | `cancelDistributionCommandAsync(String clusterName, String product, String version, ApiCallback<ApiCommand> callback)` A synchronous command that cancels the parcel distribution.
    `okhttp3.Call` | `cancelDistributionCommandCall(String clusterName, String product, String version, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for cancelDistributionCommand
    `ApiResponse<ApiCommand>` | `cancelDistributionCommandWithHttpInfo(String clusterName, String product, String version)` A synchronous command that cancels the parcel distribution.
    `ApiCommand` | `cancelDownloadCommand(String clusterName, String product, String version)` A synchronous command that cancels the parcel download.
    `okhttp3.Call` | `cancelDownloadCommandAsync(String clusterName, String product, String version, ApiCallback<ApiCommand> callback)` A synchronous command that cancels the parcel download.
    `okhttp3.Call` | `cancelDownloadCommandCall(String clusterName, String product, String version, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for cancelDownloadCommand
    `ApiResponse<ApiCommand>` | `cancelDownloadCommandWithHttpInfo(String clusterName, String product, String version)` A synchronous command that cancels the parcel download.
    `ApiCommand` | `deactivateCommand(String clusterName, String product, String version)` A synchronous command that deactivates the parcel on the cluster.
    `okhttp3.Call` | `deactivateCommandAsync(String clusterName, String product, String version, ApiCallback<ApiCommand> callback)` A synchronous command that deactivates the parcel on the cluster.
    `okhttp3.Call` | `deactivateCommandCall(String clusterName, String product, String version, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for deactivateCommand
    `ApiResponse<ApiCommand>` | `deactivateCommandWithHttpInfo(String clusterName, String product, String version)` A synchronous command that deactivates the parcel on the cluster.
    `ApiClient` | `getApiClient()`
    `ApiParcel` | `readParcel(String clusterName, String product, String version)` Retrieves detailed information about a parcel.
    `okhttp3.Call` | `readParcelAsync(String clusterName, String product, String version, ApiCallback<ApiParcel> callback)` Retrieves detailed information about a parcel.
    `okhttp3.Call` | `readParcelCall(String clusterName, String product, String version, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readParcel
    `ApiResponse<ApiParcel>` | `readParcelWithHttpInfo(String clusterName, String product, String version)` Retrieves detailed information about a parcel.
    `ApiCommand` | `removeDownloadCommand(String clusterName, String product, String version)` A synchronous command that removes the downloaded parcel.
    `okhttp3.Call` | `removeDownloadCommandAsync(String clusterName, String product, String version, ApiCallback<ApiCommand> callback)` A synchronous command that removes the downloaded parcel.
    `okhttp3.Call` | `removeDownloadCommandCall(String clusterName, String product, String version, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for removeDownloadCommand
    `ApiResponse<ApiCommand>` | `removeDownloadCommandWithHttpInfo(String clusterName, String product, String version)` A synchronous command that removes the downloaded parcel.
    `void` | `setApiClient(ApiClient apiClient)`
    `ApiCommand` | `startDistributionCommand(String clusterName, String product, String version)` A synchronous command that starts the distribution of the parcel to the cluster.
    `okhttp3.Call` | `startDistributionCommandAsync(String clusterName, String product, String version, ApiCallback<ApiCommand> callback)` A synchronous command that starts the distribution of the parcel to the cluster.
    `okhttp3.Call` | `startDistributionCommandCall(String clusterName, String product, String version, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for startDistributionCommand
    `ApiResponse<ApiCommand>` | `startDistributionCommandWithHttpInfo(String clusterName, String product, String version)` A synchronous command that starts the distribution of the parcel to the cluster.
    `ApiCommand` | `startDownloadCommand(String clusterName, String product, String version)` A synchronous command that starts the parcel download.
    `okhttp3.Call` | `startDownloadCommandAsync(String clusterName, String product, String version, ApiCallback<ApiCommand> callback)` A synchronous command that starts the parcel download.
    `okhttp3.Call` | `startDownloadCommandCall(String clusterName, String product, String version, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for startDownloadCommand
    `ApiResponse<ApiCommand>` | `startDownloadCommandWithHttpInfo(String clusterName, String product, String version)` A synchronous command that starts the parcel download.
    `ApiCommand` | `startRemovalOfDistributionCommand(String clusterName, String product, String version)` A synchronous command that removes the distribution from the hosts in the cluster.
    `okhttp3.Call` | `startRemovalOfDistributionCommandAsync(String clusterName, String product, String version, ApiCallback<ApiCommand> callback)` A synchronous command that removes the distribution from the hosts in the cluster.
    `okhttp3.Call` | `startRemovalOfDistributionCommandCall(String clusterName, String product, String version, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for startRemovalOfDistributionCommand
    `ApiResponse<ApiCommand>` | `startRemovalOfDistributionCommandWithHttpInfo(String clusterName, String product, String version)` A synchronous command that removes the distribution from the hosts in the cluster.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParcelResourceApi

          public ParcelResourceApi()

    - #### ParcelResourceApi

          public ParcelResourceApi(ApiClient apiClient)

  - ### Method Detail

    - #### getApiClient

          public ApiClient getApiClient()

    - #### setApiClient

          public void setApiClient(ApiClient apiClient)

    - #### activateCommandCall

          public okhttp3.Call activateCommandCall(String clusterName,
                                                  String product,
                                                  String version,
                                                  ProgressResponseBody.ProgressListener progressListener,
                                                  ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                           throws ApiException

      Build call for activateCommand
      Parameters:
        `clusterName` - (required)
        `product` - the product (required)
        `version` - the version (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### activateCommand

          public ApiCommand activateCommand(String clusterName,
                                            String product,
                                            String version)
                                     throws ApiException

      A synchronous command that activates the parcel on the cluster. A synchronous command that activates the parcel on the cluster. <p> Since it is synchronous, the result is known immediately upon return.
      Parameters:
        `clusterName` - (required)
        `product` - the product (required)
        `version` - the version (required)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### activateCommandWithHttpInfo

          public ApiResponse<ApiCommand> activateCommandWithHttpInfo(String clusterName,
                                                                     String product,
                                                                     String version)
                                                              throws ApiException

      A synchronous command that activates the parcel on the cluster. A synchronous command that activates the parcel on the cluster. <p> Since it is synchronous, the result is known immediately upon return.
      Parameters:
        `clusterName` - (required)
        `product` - the product (required)
        `version` - the version (required)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### activateCommandAsync

          public okhttp3.Call activateCommandAsync(String clusterName,
                                                   String product,
                                                   String version,
                                                   ApiCallback<ApiCommand> callback)
                                            throws ApiException

      A synchronous command that activates the parcel on the cluster. (asynchronously) A synchronous command that activates the parcel on the cluster. <p> Since it is synchronous, the result is known immediately upon return.
      Parameters:
        `clusterName` - (required)
        `product` - the product (required)
        `version` - the version (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### cancelDistributionCommandCall

          public okhttp3.Call cancelDistributionCommandCall(String clusterName,
                                                            String product,
                                                            String version,
                                                            ProgressResponseBody.ProgressListener progressListener,
                                                            ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                     throws ApiException

      Build call for cancelDistributionCommand
      Parameters:
        `clusterName` - (required)
        `product` - the product (required)
        `version` - the version (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### cancelDistributionCommand

          public ApiCommand cancelDistributionCommand(String clusterName,
                                                      String product,
                                                      String version)
                                               throws ApiException

      A synchronous command that cancels the parcel distribution. A synchronous command that cancels the parcel distribution. <p> Since it is synchronous, the result is known immediately upon return.
      Parameters:
        `clusterName` - (required)
        `product` - the product (required)
        `version` - the version (required)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### cancelDistributionCommandWithHttpInfo

          public ApiResponse<ApiCommand> cancelDistributionCommandWithHttpInfo(String clusterName,
                                                                               String product,
                                                                               String version)
                                                                        throws ApiException

      A synchronous command that cancels the parcel distribution. A synchronous command that cancels the parcel distribution. <p> Since it is synchronous, the result is known immediately upon return.
      Parameters:
        `clusterName` - (required)
        `product` - the product (required)
        `version` - the version (required)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### cancelDistributionCommandAsync

          public okhttp3.Call cancelDistributionCommandAsync(String clusterName,
                                                             String product,
                                                             String version,
                                                             ApiCallback<ApiCommand> callback)
                                                      throws ApiException

      A synchronous command that cancels the parcel distribution. (asynchronously) A synchronous command that cancels the parcel distribution. <p> Since it is synchronous, the result is known immediately upon return.
      Parameters:
        `clusterName` - (required)
        `product` - the product (required)
        `version` - the version (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### cancelDownloadCommandCall

          public okhttp3.Call cancelDownloadCommandCall(String clusterName,
                                                        String product,
                                                        String version,
                                                        ProgressResponseBody.ProgressListener progressListener,
                                                        ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                 throws ApiException

      Build call for cancelDownloadCommand
      Parameters:
        `clusterName` - (required)
        `product` - the product (required)
        `version` - the version (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### cancelDownloadCommand

          public ApiCommand cancelDownloadCommand(String clusterName,
                                                  String product,
                                                  String version)
                                           throws ApiException

      A synchronous command that cancels the parcel download. A synchronous command that cancels the parcel download. <p> Since it is synchronous, the result is known immediately upon return.
      Parameters:
        `clusterName` - (required)
        `product` - the product (required)
        `version` - the version (required)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### cancelDownloadCommandWithHttpInfo

          public ApiResponse<ApiCommand> cancelDownloadCommandWithHttpInfo(String clusterName,
                                                                           String product,
                                                                           String version)
                                                                    throws ApiException

      A synchronous command that cancels the parcel download. A synchronous command that cancels the parcel download. <p> Since it is synchronous, the result is known immediately upon return.
      Parameters:
        `clusterName` - (required)
        `product` - the product (required)
        `version` - the version (required)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### cancelDownloadCommandAsync

          public okhttp3.Call cancelDownloadCommandAsync(String clusterName,
                                                         String product,
                                                         String version,
                                                         ApiCallback<ApiCommand> callback)
                                                  throws ApiException

      A synchronous command that cancels the parcel download. (asynchronously) A synchronous command that cancels the parcel download. <p> Since it is synchronous, the result is known immediately upon return.
      Parameters:
        `clusterName` - (required)
        `product` - the product (required)
        `version` - the version (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### deactivateCommandCall

          public okhttp3.Call deactivateCommandCall(String clusterName,
                                                    String product,
                                                    String version,
                                                    ProgressResponseBody.ProgressListener progressListener,
                                                    ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                             throws ApiException

      Build call for deactivateCommand
      Parameters:
        `clusterName` - (required)
        `product` - the product (required)
        `version` - the version (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### deactivateCommand

          public ApiCommand deactivateCommand(String clusterName,
                                              String product,
                                              String version)
                                       throws ApiException

      A synchronous command that deactivates the parcel on the cluster. A synchronous command that deactivates the parcel on the cluster. <p> Since it is synchronous, the result is known immediately upon return.
      Parameters:
        `clusterName` - (required)
        `product` - the product (required)
        `version` - the version (required)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deactivateCommandWithHttpInfo

          public ApiResponse<ApiCommand> deactivateCommandWithHttpInfo(String clusterName,
                                                                       String product,
                                                                       String version)
                                                                throws ApiException

      A synchronous command that deactivates the parcel on the cluster. A synchronous command that deactivates the parcel on the cluster. <p> Since it is synchronous, the result is known immediately upon return.
      Parameters:
        `clusterName` - (required)
        `product` - the product (required)
        `version` - the version (required)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deactivateCommandAsync

          public okhttp3.Call deactivateCommandAsync(String clusterName,
                                                     String product,
                                                     String version,
                                                     ApiCallback<ApiCommand> callback)
                                              throws ApiException

      A synchronous command that deactivates the parcel on the cluster. (asynchronously) A synchronous command that deactivates the parcel on the cluster. <p> Since it is synchronous, the result is known immediately upon return.
      Parameters:
        `clusterName` - (required)
        `product` - the product (required)
        `version` - the version (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readParcelCall

          public okhttp3.Call readParcelCall(String clusterName,
                                             String product,
                                             String version,
                                             ProgressResponseBody.ProgressListener progressListener,
                                             ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                      throws ApiException

      Build call for readParcel
      Parameters:
        `clusterName` - (required)
        `product` - the product (required)
        `version` - the version (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readParcel

          public ApiParcel readParcel(String clusterName,
                                      String product,
                                      String version)
                               throws ApiException

      Retrieves detailed information about a parcel. Retrieves detailed information about a parcel.
      Parameters:
        `clusterName` - (required)
        `product` - the product (required)
        `version` - the version (required)
      Returns:
        ApiParcel
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readParcelWithHttpInfo

          public ApiResponse<ApiParcel> readParcelWithHttpInfo(String clusterName,
                                                               String product,
                                                               String version)
                                                        throws ApiException

      Retrieves detailed information about a parcel. Retrieves detailed information about a parcel.
      Parameters:
        `clusterName` - (required)
        `product` - the product (required)
        `version` - the version (required)
      Returns:
        ApiResponse<ApiParcel>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readParcelAsync

          public okhttp3.Call readParcelAsync(String clusterName,
                                              String product,
                                              String version,
                                              ApiCallback<ApiParcel> callback)
                                       throws ApiException

      Retrieves detailed information about a parcel. (asynchronously) Retrieves detailed information about a parcel.
      Parameters:
        `clusterName` - (required)
        `product` - the product (required)
        `version` - the version (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### removeDownloadCommandCall

          public okhttp3.Call removeDownloadCommandCall(String clusterName,
                                                        String product,
                                                        String version,
                                                        ProgressResponseBody.ProgressListener progressListener,
                                                        ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                 throws ApiException

      Build call for removeDownloadCommand
      Parameters:
        `clusterName` - (required)
        `product` - the product (required)
        `version` - the version (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### removeDownloadCommand

          public ApiCommand removeDownloadCommand(String clusterName,
                                                  String product,
                                                  String version)
                                           throws ApiException

      A synchronous command that removes the downloaded parcel. A synchronous command that removes the downloaded parcel. <p> Since it is synchronous, the result is known immediately upon return.
      Parameters:
        `clusterName` - (required)
        `product` - the product (required)
        `version` - the version (required)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### removeDownloadCommandWithHttpInfo

          public ApiResponse<ApiCommand> removeDownloadCommandWithHttpInfo(String clusterName,
                                                                           String product,
                                                                           String version)
                                                                    throws ApiException

      A synchronous command that removes the downloaded parcel. A synchronous command that removes the downloaded parcel. <p> Since it is synchronous, the result is known immediately upon return.
      Parameters:
        `clusterName` - (required)
        `product` - the product (required)
        `version` - the version (required)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### removeDownloadCommandAsync

          public okhttp3.Call removeDownloadCommandAsync(String clusterName,
                                                         String product,
                                                         String version,
                                                         ApiCallback<ApiCommand> callback)
                                                  throws ApiException

      A synchronous command that removes the downloaded parcel. (asynchronously) A synchronous command that removes the downloaded parcel. <p> Since it is synchronous, the result is known immediately upon return.
      Parameters:
        `clusterName` - (required)
        `product` - the product (required)
        `version` - the version (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### startDistributionCommandCall

          public okhttp3.Call startDistributionCommandCall(String clusterName,
                                                           String product,
                                                           String version,
                                                           ProgressResponseBody.ProgressListener progressListener,
                                                           ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                    throws ApiException

      Build call for startDistributionCommand
      Parameters:
        `clusterName` - (required)
        `product` - the product (required)
        `version` - the version (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### startDistributionCommand

          public ApiCommand startDistributionCommand(String clusterName,
                                                     String product,
                                                     String version)
                                              throws ApiException

      A synchronous command that starts the distribution of the parcel to the cluster. A synchronous command that starts the distribution of the parcel to the cluster. <p> Since it is synchronous, the result is known immediately upon return. In order to see the progress of the distribution, a call to readParcel() needs to be made.
      Parameters:
        `clusterName` - (required)
        `product` - the product (required)
        `version` - the version (required)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### startDistributionCommandWithHttpInfo

          public ApiResponse<ApiCommand> startDistributionCommandWithHttpInfo(String clusterName,
                                                                              String product,
                                                                              String version)
                                                                       throws ApiException

      A synchronous command that starts the distribution of the parcel to the cluster. A synchronous command that starts the distribution of the parcel to the cluster. <p> Since it is synchronous, the result is known immediately upon return. In order to see the progress of the distribution, a call to readParcel() needs to be made.
      Parameters:
        `clusterName` - (required)
        `product` - the product (required)
        `version` - the version (required)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### startDistributionCommandAsync

          public okhttp3.Call startDistributionCommandAsync(String clusterName,
                                                            String product,
                                                            String version,
                                                            ApiCallback<ApiCommand> callback)
                                                     throws ApiException

      A synchronous command that starts the distribution of the parcel to the cluster. (asynchronously) A synchronous command that starts the distribution of the parcel to the cluster. <p> Since it is synchronous, the result is known immediately upon return. In order to see the progress of the distribution, a call to readParcel() needs to be made.
      Parameters:
        `clusterName` - (required)
        `product` - the product (required)
        `version` - the version (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### startDownloadCommandCall

          public okhttp3.Call startDownloadCommandCall(String clusterName,
                                                       String product,
                                                       String version,
                                                       ProgressResponseBody.ProgressListener progressListener,
                                                       ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                throws ApiException

      Build call for startDownloadCommand
      Parameters:
        `clusterName` - (required)
        `product` - the product (required)
        `version` - the version (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### startDownloadCommand

          public ApiCommand startDownloadCommand(String clusterName,
                                                 String product,
                                                 String version)
                                          throws ApiException

      A synchronous command that starts the parcel download. A synchronous command that starts the parcel download. <p> Since it is synchronous, the result is known immediately upon return. In order to see the progress of the download, a call to readParcel() needs to be made.
      Parameters:
        `clusterName` - (required)
        `product` - the product (required)
        `version` - the version (required)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### startDownloadCommandWithHttpInfo

          public ApiResponse<ApiCommand> startDownloadCommandWithHttpInfo(String clusterName,
                                                                          String product,
                                                                          String version)
                                                                   throws ApiException

      A synchronous command that starts the parcel download. A synchronous command that starts the parcel download. <p> Since it is synchronous, the result is known immediately upon return. In order to see the progress of the download, a call to readParcel() needs to be made.
      Parameters:
        `clusterName` - (required)
        `product` - the product (required)
        `version` - the version (required)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### startDownloadCommandAsync

          public okhttp3.Call startDownloadCommandAsync(String clusterName,
                                                        String product,
                                                        String version,
                                                        ApiCallback<ApiCommand> callback)
                                                 throws ApiException

      A synchronous command that starts the parcel download. (asynchronously) A synchronous command that starts the parcel download. <p> Since it is synchronous, the result is known immediately upon return. In order to see the progress of the download, a call to readParcel() needs to be made.
      Parameters:
        `clusterName` - (required)
        `product` - the product (required)
        `version` - the version (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### startRemovalOfDistributionCommandCall

          public okhttp3.Call startRemovalOfDistributionCommandCall(String clusterName,
                                                                    String product,
                                                                    String version,
                                                                    ProgressResponseBody.ProgressListener progressListener,
                                                                    ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                             throws ApiException

      Build call for startRemovalOfDistributionCommand
      Parameters:
        `clusterName` - (required)
        `product` - the product (required)
        `version` - the version (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### startRemovalOfDistributionCommand

          public ApiCommand startRemovalOfDistributionCommand(String clusterName,
                                                              String product,
                                                              String version)
                                                       throws ApiException

      A synchronous command that removes the distribution from the hosts in the cluster. A synchronous command that removes the distribution from the hosts in the cluster. <p> Since it is synchronous, the result is known immediately upon return. In order to see the progress of the removal, a call to readParcel() needs to be made.
      Parameters:
        `clusterName` - (required)
        `product` - the product (required)
        `version` - the version (required)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### startRemovalOfDistributionCommandWithHttpInfo

          public ApiResponse<ApiCommand> startRemovalOfDistributionCommandWithHttpInfo(String clusterName,
                                                                                       String product,
                                                                                       String version)
                                                                                throws ApiException

      A synchronous command that removes the distribution from the hosts in the cluster. A synchronous command that removes the distribution from the hosts in the cluster. <p> Since it is synchronous, the result is known immediately upon return. In order to see the progress of the removal, a call to readParcel() needs to be made.
      Parameters:
        `clusterName` - (required)
        `product` - the product (required)
        `version` - the version (required)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### startRemovalOfDistributionCommandAsync

          public okhttp3.Call startRemovalOfDistributionCommandAsync(String clusterName,
                                                                     String product,
                                                                     String version,
                                                                     ApiCallback<ApiCommand> callback)
                                                              throws ApiException

      A synchronous command that removes the distribution from the hosts in the cluster. (asynchronously) A synchronous command that removes the distribution from the hosts in the cluster. <p> Since it is synchronous, the result is known immediately upon return. In order to see the progress of the removal, a call to readParcel() needs to be made.
      Parameters:
        `clusterName` - (required)
        `product` - the product (required)
        `version` - the version (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

Copyright © 2026. All rights reserved.